<?php get_header(); ?>
<div id="main" class="clearfix wrapper">
	<div id="content" role="main">
    	<?php
	if(have_posts()) : while(have_posts()): the_post(); ?>
		<div class="clearfix entry">        	
            <h3 class="title"><a href="<?php the_permalink(); ?>"><?php the_title() ?></a></h3>                        
            <div class="meta"><?php base_posted_on(); echo " | "; base_posted_in(); ?></div>
            <?php if(has_post_thumbnail()) : ?>
            	<div class="thumb"><a href="<?php the_permalink(); ?>"><?php get_featured_image($post->ID,'large','h=180&w=294&zc=1') ?></a></div>            
            <?php endif; ?>
            <div class="excerpt">
            	<?php the_content();
				wp_link_pages(); ?>
            </div>
        </div>
        
        <?php if(get_atom_option("ads_below_post")=='') : ?>
    	    <div id="ads_468x60"><img src="<?php echo bloginfo('template_url') ?>/images/ads_648x60.gif" /></div>
        <?php else: ?>
	        <div id="ads_468x60"><?php echo get_atom_option("ads_below_post"); ?></div>
        <?php endif; ?>
        
		
        
        <?php 
        if(get_atom_option("display_author_below_posts")!='no') : ?>
            <div id="author-info" class="clearfix atom_box">
                <?php
                $email = get_the_author_meta('user_email'); 
                $nice_name = get_the_author_meta('display_name'); 			
                $description = get_the_author_meta('description');
                ?>
                <h3 class="title">The Author</h3>
                <div class="thumb">
                    <span class="frame"></span>
                    <?php echo get_avatar($email,83) ?>
                </div>
                <p id="author_name"><?php echo $nice_name ?></p>
                <p id="author_desc"><?php echo $description ?></p>
            </div>	
        <?php endif; ?>
        
        <?php comments_template( '', true ); ?>
        
        <?php endwhile; endif; ?>
    
    </div>
    <?php get_sidebar(); ?>
</div>
<?php get_footer(); ?>