<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<?php wp_head(); ?>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<title><?php labtitles(); ?></title>
</head>

<body <?php body_class(); ?>>
	<header id="header" class="wrapper">
	    <hgroup id="branding" role="banner">    	
            <?php 
			if(get_atom_option('site_title_type')=='title_text') : ?>
            <h1 id="site-title">
                <span><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></span>
            </h1>
            <?php else: ?>
            <h1 id="site-logo">
                <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
                	<?php if(get_atom_option('logo_url')==''): ?>
                	<img src="<?php echo get_bloginfo('template_url') ?>/images/logo.png" />
                    <?php else: ?>
                    <img src="<?php echo get_atom_option('logo_url') ?>" />
                    <?php endif; ?>
                </a>
            </h1>
            <?php endif; ?>
            <h2 id="site-description"><?php bloginfo( 'description' ); ?></h2>
         </hgroup>  
    	<div id="ads_468X60" class="clearfix">
        	<?php if(get_atom_option('ads_468x60_header_banner_code')) :
            	echo get_atom_option('ads_468x60_header_banner_code');
            else: ?>
        		<a href="http://themetribe.com"><img src="<?php echo bloginfo('template_url') ?>/images/ads_648x60.gif" /></a>
            <?php endif; ?>
        </div>
		<nav id="access" role="navigation">
            <?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'sf-menu' ) ); ?>            
        </nav>
	</header>
    <?php if(is_home()){ 
	query_posts(array('category_name'=>get_atom_option('featured_post_category'),'posts_per_page'=>5,'order'=>'ASC'));
	if(have_posts()) :
		$feat_post_id=$permalink=array();
		?>
		<div id="featured" class="clearfix">
			<div class="overlay"></div>
			<div id="bgimages">        	            
				<?php				
				$c=0; while(have_posts()): the_post(); if(has_post_thumbnail()) :
					$feat_post_id[$c] = get_the_ID();
					$permalink[$c] = get_permalink();
					get_featured_image(get_the_ID(),'large','h=100&w=100&zc=1&f=8|8|8|8',TRUE);
					$c++;
				endif; endwhile; wp_reset_query(); ?>        	
			</div>
			<div id="sliderwrap" class="wrapper">
				<div id="slider" class="wrapper">
				<?php $c=0; foreach($feat_post_id as $val) : ?>
					<a href="<?php echo $permalink[$c] ?>"><?php get_featured_image($feat_post_id[$c],'large','h=395&w=954&zc=1'); ?></a>
				<?php $c++; endforeach; ?>
				</div>
			</div>
		</div>
	<?php  endif; 
	} ?>